View processing result lineage

Read the complete processing link of a workflow product, including source files, workflow calls and processing topology.

GET https://moi.matrixorigin.cn/newmoi/lineage/artifacts/{artifact_id}/overview

Preparation before calling

First query the file processing link and obtain the product ID from the corresponding data.artifact.artifact_id. Prepare the personal access token, target workspace ID, and product ID that have access to the target workspace.

Request parameters

artifact_idstringRequired
Processing result ID, taken from data.artifact.artifact_id in file processing lineage.

Request example

curl "https://moi.matrixorigin.cn/newmoi/lineage/artifacts/$ARTIFACT_ID/overview" \
  -H "X-API-Key: $AI_STUDIO_API_KEY" \
  -H "X-Workspace-ID: $WORKSPACE_ID"

Successful response

data returns artifacts, workflow calls, and processing topology. The topology contains associated nodes, which does not mean that each node directly processes the product.

The response fields are as follows.

In field paths, [] denotes each item in an array. For example, items[].name is the name field of each item in the items array.

codestring
OK when successful.
msgstring
OK when successful.
data.artifact.artifact_idstring
Product ID.
data.artifact.root_asset_idstring
Root data asset ID.
data.artifact.case_idstring
Association case ID.
data.artifact.parsed_file_availableboolean
Whether the parsed file is available.
data.workflow.workflow_idstring
Workflow ID; returned only if there is a value.
data.workflow.workflow_version_idstring
Workflow version ID; returned only if there is a value.
data.workflow_invocation.inputobject
Workflow call input; only returned if there is a value.
data.workflow_invocation.varsobject
Workflow call variables; only returned if there is a value.
data.topology.nodes[]array
Processing node, the node can contain node_id, label, status, duration_ms and error.
data.topology.edges[]array
Topological edge, including source_node_id and target_node_id.
data.topology.producer_node_idstring
ID of the node that produced the current product; only returned if there is a value.
data.entry.catalog_file_idstring
Entry file ID; only returned if there is a value.
data.entry.volume_idstring
Volume ID; only returned if there is a value.

Successful response example

{
  "code": "OK",
  "msg": "OK",
  "data": {
    "artifact": {
      "artifact_id": "art-001",
      "root_asset_id": "asset-001",
      "case_id": "case-001",
      "parsed_file_available": true
    },
    "workflow": {
      "workflow_id": "wf-001",
      "workflow_version_id": "ver-001"
    },
    "workflow_invocation": {
      "input": {},
      "vars": {}
    },
    "topology": {
      "nodes": [
        {
          "node_id": "node-001",
          "label": "解析文件",
          "status": "success"
        }
      ],
      "edges": [],
      "producer_node_id": "node-001"
    },
    "entry": {}
  }
}

Error response

codestring
Error code.
msgstring
Readable error message.
datanull
`null` in an error response.

Error response example

{
  "code": "ErrNotFound",
  "msg": "资源不存在",
  "data": null
}

Follow-up operations

View processing node details.

Last updated on